From 7ee8352634daf657f333a3ab1b98f843e19c919a Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 16:34:41 -0800
Subject: [PATCH 04/11] MacPorts Only: Use full path for the dylib id instead
 of @rpath

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 Makefile.rules | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git llvm_release_38/Makefile.rules macports_release_38/Makefile.rules
index a67aef7c97a..def94c0b340 100644
--- llvm_release_38/Makefile.rules
+++ macports_release_38/Makefile.rules
@@ -600,7 +600,12 @@ ifneq ($(HOST_OS), $(filter $(HOST_OS), Cygwin MingW))
 ifneq ($(HOST_OS),Darwin)
   LD.Flags += $(RPATH) -Wl,'$$ORIGIN'
 else
-  LD.Flags += -Wl,-install_name  -Wl,"@rpath/lib$(LIBRARYNAME)$(SHLIBEXT)"
+  LD.Flags += -Wl,-install_name
+  ifdef LOADABLE_MODULE
+    LD.Flags += -Wl,"$(PROJ_libdir)/$(LIBRARYNAME)$(SHLIBEXT)"
+  else
+    LD.Flags += -Wl,"$(PROJ_libdir)/$(SharedPrefix)$(LIBRARYNAME)$(SHLIBEXT)"
+  endif
 endif
 endif
 endif
-- 
2.11.0

